package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.MallGoodsFollow;

/**
 * 产品关注Mapper接口
 * 
 * @author chang
 * @date 2021-11-25
 */
public interface MallGoodsFollowMapper 
{
    /**
     * 查询产品关注
     * 
     * @param id 产品关注主键
     * @return 产品关注
     */
    public MallGoodsFollow selectMallGoodsFollowById(Long id);

    /**
     * 查询产品关注列表
     * 
     * @param mallGoodsFollow 产品关注
     * @return 产品关注集合
     */
    public List<MallGoodsFollow> selectMallGoodsFollowList(MallGoodsFollow mallGoodsFollow);

    /**
     * 新增产品关注
     * 
     * @param mallGoodsFollow 产品关注
     * @return 结果
     */
    public int insertMallGoodsFollow(MallGoodsFollow mallGoodsFollow);

    /**
     * 修改产品关注
     * 
     * @param mallGoodsFollow 产品关注
     * @return 结果
     */
    public int updateMallGoodsFollow(MallGoodsFollow mallGoodsFollow);

    /**
     * 删除产品关注
     * 
     * @param id 产品关注主键
     * @return 结果
     */
    public int deleteMallGoodsFollowById(Long id);

    /**
     * 批量删除产品关注
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallGoodsFollowByIds(Long[] ids);
}
